#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define SIZEofBUFF 20

// read in an ASCII file and extend it - produce an ASCII file
int main (int argc, char** argv) {
   FILE *fpa=NULL, *fpb=NULL;
   int  counter=1;
   float size=0.00;
   char record[20];
   int numOfrecords, i;

   // inline parameter number checking
   if (argc!=3) {
	   printf("Correct syntax is: %s InputCSVfile OutputCSVfile\n", argv[0]);
	   return(1);
   	}

   // open the two files in question
   fpa=fopen(argv[1],"r");
   fpb=fopen(argv[2],"w");

   // keep scanning throuhg the first file until no more input
   while ( fscanf(fpa,"%s",record)!=EOF ) {
	   // display on tty what gets actually produced
           printf("%d %s %4.1f\n",counter,record, (float)strlen(record));
	   // store the generated content in second file using 
 	   // high level I/O call.
           fprintf(fpb,"%d %s %4.1f\n",counter,record, (float)strlen(record));
           counter++;
   }
	
   // close both file pointers 
   fclose(fpa);
   fclose(fpb);
}
