#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#define SIZEofBUFF 20

int main (int argc, char** argv) {
   FILE *fpa=NULL;
   char record[20];
   int numOfrecords, i;

   int counter=0;

   // inline paramater passing check
   if (argc!=2) {
      	printf("Correct syntax is: %s InputCSVfile\n", argv[0]);
      	return(1);
   	}

   // stream-based input -- high level I/O based on file POINTERS
   fpa=fopen(argv[1],"r");

   while ( fscanf(fpa,"%s", record)!=EOF ) {
           counter++;
           fprintf(stdout,"%s\n",record);
   }
   // display on the stadard output
   printf("Read in %d Strings\n",counter);
   // alternative to the above is the lib-call fprintf 
   // fprintf(stdout,"Read in %d Strings\n",counter);

   fclose(fpa);
}
