#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>

// the program verifies the content of a bin file 
// having records of three items: int, buff, float
int main (int argc, char** argv) {
   // retrieving gets carried out with low-level I/O and file descriptor
   int filedes;
   int numOfrecords, i;

   if (argc!=2) {
      	printf("Correct syntax is: %s BinaryFile\n", argv[0]);
      	return(1);
   	}

  
   // open the binary file for reading
   filedes = open (argv[1], O_RDONLY);

   if (filedes== -1) {
      	printf("Cannot access binary file\n");
      	return 1;
   	}

   int nread=0;
   int idnumber;
   char buffer[20];
   float mynumber;

   // while there is content keep reading using low-level I/O 
   while( (nread=read(filedes, &idnumber , sizeof(int))) > 0) {
        printf("%d ", idnumber);
	// read in a name  stored in the binary file
        read(filedes, buffer, 20);
        printf("%s ",buffer);
	// read in the length of the string just read 
        read(filedes, &mynumber, sizeof(float));
        printf("%f\n",mynumber);
	// print outs doen with High-Level I/O lib call printf
   }
 // close the file descriptor
 close(filedes);
}
